Настройка и выбор ПК под САПР, комплектующие к ПК

Вопросы о компьютерах, мониторах, видеокартах, принтерах и т.д. и т.п.

101 тема в этом разделе

    • 4 ответа
    • 253 просмотра
    • 8 ответов
    • 291 просмотр
    • 33 ответа
    • 1 127 просмотров
    • 7 ответов
    • 2 719 просмотров
    • 37 ответов
    • 2 932 просмотра
    • 4 ответа
    • 1 674 просмотра
    • 19 ответов
    • 757 просмотров
    • 7 ответов
    • 535 просмотров
    • 0 ответов
    • 565 просмотров
    • 20 ответов
    • 1 185 просмотров
    • 8 ответов
    • 3 571 просмотр
    • 4 ответа
    • 901 просмотр
    • 20 ответов
    • 1 879 просмотров
    • 10 ответов
    • 1 963 просмотра
    • 25 ответов
    • 2 185 просмотров
    • 0 ответов
    • 1 263 просмотра
    • 8 ответов
    • 2 854 просмотра
    • 0 ответов
    • 1 068 просмотров
    • 0 ответов
    • 1 194 просмотра
    • 3 ответа
    • 1 943 просмотра
    • 0 ответов
    • 2 457 просмотров
    • 0 ответов
    • 1 624 просмотра
    • 5 ответов
    • 2 651 просмотр
    • 5 ответов
    • 1 536 просмотров
    • 1 ответ
    • 1 426 просмотров
    • 9 ответов
    • 2 634 просмотра
    • 11 ответов
    • 2 492 просмотра
    • 4 ответа
    • 3 078 просмотров
    • 12 ответов
    • 8 962 просмотра
    • 2 ответа
    • 1 731 просмотр
    • 4 ответа
    • 2 152 просмотра
    • 5 ответов
    • 4 562 просмотра
    • 0 ответов
    • 2 685 просмотров
    • 31 ответ
    • 12 609 просмотров
    • 2 ответа
    • 2 405 просмотров
    • 1 ответ
    • 2 089 просмотров
    • 0 ответов
    • 1 964 просмотра
    • 0 ответов
    • 1 862 просмотра
    • 3 ответа
    • 2 765 просмотров
    • 13 ответов
    • 4 730 просмотров
    • 44 ответа
    • 13 283 просмотра
    • 0 ответов
    • 2 760 просмотров
    • 6 ответов
    • 3 932 просмотра
    • 8 ответов
    • 4 329 просмотров
    • 4 ответа
    • 3 673 просмотра
    • 0 ответов
    • 3 443 просмотра
    • 5 ответов
    • 2 916 просмотров
    • 23 ответа
    • 8 568 просмотров
    • 4 ответа
    • 3 909 просмотров
    • 7 ответов
    • 7 935 просмотров
  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу



  • Сообщения

    • lexincton
      Если адрес плоскостей стандартный поместите перед выводом кругового перемещения: MOM_enable_address G_plane MOM_force once G_plane   PS: G_plane конечно должен присутствовать в кадре кругового движения
    • lexincton
      1 человек ~1,5-3 недели работы с момента получения 3D модели станка = пост + верификатор Пост и верификатор сравнительно простые -  3-осевой токарно-фрезерный, с усложнением на разделение в 3 канала и реализацией точек синхронизации На видео отладочную инфу забыли убрать в виде mom_run_number = ... поэтому видео прервано перед ошибкой @Ug_user Как человеку прожженому должно быть известно, что в подобных примерах есть проблема в драйвере по управлению ЗвПО (по крайней мере в недавних версиях)-при перемещении ЗвПО в разные стороны
    • SHARit
      Дядя Лобзик, ты дурак?
    • ChipX
    • Mrt23
      Ну извините, уважаемый @lobzik, мы не избалованы...)
    • Brain (Pinkies friend)
      Доброго времени суток! Имею задачу найти на выделенных листах объекты типа NXOpen.Annotations.IdSymbol. Выделенные листы получаю через UI.GetUI().SelectionManager.GetSelectedTaggedObject(i), где они NXOpen.View. Для поиска объектов использую AskVisibleObjects(), который ругается на все неактивные листы (DrawingSheet). На просторах сети нашёл решение, использующее "костыль" в виде открывания  листа и поиска объектов в нём. Подскажите, пожалуйста как зная вид получить ссыль на конкретный лист, зная вид. Ну или другой путь решения. Собственно, код:
        private void button1_Click(object sender, EventArgs e) { int SelectedObjNum = UI.GetUI().SelectionManager.GetNumSelectedObjects(); for (int i = 0; i <= SelectedObjNum - 1; i++) { NXOpen.NXObject selectedObject = (NXOpen.NXObject)UI.GetUI().SelectionManager.GetSelectedTaggedObject(i);//UI.GetUI().SelectionManager.GetSelectedObject(0); NXOpen.View drawingView = (NXOpen.View)selectedObject; if (selectedObject != null) { DisplayableObject[] displayableObjects = drawingView.AskVisibleObjects(); foreach (DisplayableObject disobj in displayableObjects) { if (disobj.GetType().ToString() == "NXOpen.Annotations.IdSymbol") { listBox1.Items.Add("___"); NXOpen.Annotations.IdSymbol symObject = (NXOpen.Annotations.IdSymbol)disobj; AddSymInfOnList(symObject); } } } } }  
    • LxCoder
      Товарищ LxCoder ничего не утверждает и, уж тем более, не навязывает. Делайте как вашей душе угодно, и как Вам понятнее... Нравится изобретать велосипед заново - дело Ваше. Есть косой десяток способов сделать одно и то же.   Именно. Я половины не понял, что вы понаписали и для чего вам все эти фельдиперсовые функции. Углы можно рассчитать один из другого - абсолютно любые, если понимать, что хочется получить на выходе. В G-Post математический аппарат с большим количеством параметров, настроек - он вполне достаточен (по моему личному мнению) для успешного решения 99% реальных задач. Для 1% скорее всего придется использовать некоторые свои формулы преобразования (например, для станков с не вполне обычной геометрией расположения осей, например, как в DMU 160, где угловая голова расположена под 45 градусов к оси Z...).
    • Sergei
    • lexx174
      да давно,в авиапроме в этом плане неплохо продвинулись,и в плане стандартов тоже
    • lobzik
      Если Вам заработанного на этих операциях хватает на жизнь, и Вы еще можете, к примеру, делать какие то накопления - то это не демпинг.